[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector3_extended.length

Calculates the length of the vector.

## Declaration

Source position: matrix.pp line 112

`function Tvector3_extended.length: extended;`

## Description

Calculate the length of the vector: length=sqrt(data[0]**2+data[1]**2+data[2]**2). Try to use squared_length if you are able to, as it is faster.

Documentation generated on: Feb 26 2014